### Signal

# GnomeAutoar Extractor::request-passphrase

#### Declaration

    gchar*
    request_passphrase (
      AutoarExtractor* self,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when the archive extracting job needs a passphrase.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Return value

Type: `gchar*`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.